/******************
	DATEI
	DOU_SPLI.H : Header-Datei zu DOU_SPLI.C, 
	             zu einer mindestens ordinal skalierten
	             Variablen wird der
	             maximierende Split-Punkt bestimmt;
******************/

#if  !defined( __DOU_SPLI__ )
#define __DOU_SPLI__

/******************
	GLOBALE FUNKTIONEN 
	dou_split : zu einer mindestens ordinal skalierten
	            Variablen wird der
	            maximierende Split-Punkt bestimmt,
*******************/

GLOBAL DOUBLE dou_split(  /* Rueckgabewert ist der 
                             Wert des maximierten Split-
                             Kriteriums                    */
	UWORD *index_arr,      /* Zeiger auf array der Laenge
	                          "anzahl" mit den globalen 
	                          Indizes der Faelle 
	                          im momentanen Knoten          */
	UWORD anzahl,          /* Anz. der Faelle im 
	                          momentanen Knoten             */
	UWORD var_split,       /* Index der Variable zu der der
	                          Split-Punkt gesucht wird      */
	BOOLEAN * ret_li_true, /* Zeiger auf Rueckgabearray der
	                          Laenge "anzahl" mit den Werten
	                          "TRUE", wenn der entsprechende 
	                          Fall in den linken Knoten 
	                          wandert, sonst "FALSE"        */
	UWORD * ret_li_anzahl, /* Zeiger auf Anz. der Faelle im
	                          linken Knoten                 */
	DOUBLE * ret_val_split /* Zeiger auf den maximierenten 
	                          Split-Kriteriumswert          */
);

#endif /* __DOU_SPLI__ */
