.BG
.FN graph.survtree
.TL
Plotting function for `survtree' objects
.DN
An object of class `"survtree"' will be plotted. Nodes are
represented as boxes.
.CS
graph.survtree(tree, time, zens, limit, xtile, interactive=T,
               text.flag=T, node.number.flag=T, rootbox.size=0.3,
               box.height=0.2, col.normal=1, col.bad.right=2,
               col.bad.left=3, col.boxconnection=4, lty.boxconnection=2)
.RA
.AG tree
fitted model object of class `survtree'.
This is assumed to be the result of function `survtree'.
.AG time
vector of time values; all values must be greater than or equal to zero.
.AG zens
vector of status values.  The values are `0' or `1', in which case `0'
means censored and `1' means uncensored (dead).
.OA
.AG limit
If given, then argument `xtile' is ignored.  The `survtree' object is
plotted whereby the x-axis of the plot is the survival-rate at time
`limit'.
.AG xtile
The survtree object will be plotted whereby the x-axis of the plot is
the time with survival-rate `xtile'.
.AG interactive
If given, then some plotting-parameters are interactively chosen.
.AG text.flag
Determines if the split-criterion is added to the plot.
.AG node.number.flag
Determines if the node-number is added to the plot.
.AG rootbox.size
This plotting parameter has the meaning:
Width of the rootbox divided by width of the whole plot.
.AG box.height
Height of a box divided by the distance between two splitting levels.
.AG col.normal
Colour-number, determines the colour of a box.
.AG col.bad.right
Colour-number for nodes at the right edge of the plot, if the x-position of 
that node can not be correctly calculated. See DETAILS.
.AG col.bad.left
Colour-number for nodes at the left edge of the plot, if the x-position of 
that node can not be correctly calculated. See DETAILS.
.AG col.boxconnection
Colour-number, determines the colour of the box-connecting lines.
.AG lty.boxconnection
Line-type-number, determines the line-type of the box-connecting lines.
.DT
The survtree object will be plotted in one of two ways:
.PP
1. If the argument `limit' is given (or if `limit' is chosen interactively if
argument `interactive' is TRUE), then the x-axis of the resulting plot is 
the survival-rate at time `limit'. That means: The mid-point of every plotted
node represents the percentage of survived cases at time `limit' in that node.
.PP
A node is plotted in colour `col.bad.right', when no case in that node
died till time `limit'.  The x-value for that node is chosen as the
survival-rate after the first observed death.
.PP
A node is plotted in colour `col.bad.left', when there is no case in
that node which dies after time `limit'.  The x-value for that node is
chosen as the survival-rate after the last observed death.
.PP
2. If the argument `xtile' is given (or chosen interactively), then
the x-axis of the resulting plot is the time with survival-rate
`xtile'. That means: The mid-point of every plotted node represents
the time when `xtile'-percent cases in that node still are alive.
.PP
A node is plotted in colour `col.bad.right', when
the percentage of all censored cases in that node is greater than `xtile'. 
The x-value for that node is chosen as the time of the last observed death.
.PP
A node is plotted in colour `col.bad.left', when the first dead case
produces a survival-rate less than `xtile'.  The x-value for that node
is chosen as the time of the first observed death.
.EX
# plot a survival tree not interactively
graph.survtree(LM.tree.5.1, LM$t, LM$z,  xtile = 0.7, interactive=F,
               rootbox.size=0.6, box.height=0.25, col.normal=3, col.bad.right=1,
               col.bad.left=2, col.boxconnection=5, lty.boxconnection=3)
.KW survtree
.WR
