/******************
	DATEI
	NEWPRUNE.H : Header-Datei zu NEWPRUNE.C, 
	             Schnittstelle zu S-Plus,
	             Baumbeschneidung;
******************/

#ifndef __NEWPRUNE__
#define __NEWPRUNE__

VOID newprune(
	/* hier die Eingabevariblen                       */

	WORD * nnode,    /* Anzahl der Knoten insgesamt   */
	WORD * node,      /* Knotennummern-array           */
	DOUBLE * log_rank,   /* Pseudo-Deviance, wird durch 
	                     Summierung der log-rank Werte
	                     erhalten                     */
	DOUBLE * Y,       /* Array mit den Test-Sample-Y  */
	DOUBLE * YZ,      /* Array mit der Zensur-Variable
	                     zu den Test-Sample-Y         */
	DOUBLE * Where,   /* Array mit Indizes zu jedem 
	                     Test-Sample-Y, die Indexe zeigen
	                     auf einen Knoten von "node"
	                     (siehe einige Zeilen vorher) */
	WORD * Y_anz,     /* Anzahl der Faelle des Test-Sample */

        DOUBLE * fest_alpha,/* das fuer die geprunten Baeume 
	                     zu verwendende feste alpha   */

	/* hier die Variablen mit Rueckgabewert           */

	DOUBLE * outdev,  /* die "Deviance der jeweiligen
	                     geprunten Baeume             */
	DOUBLE * newdev,  /* die "Deviance" fuer das Test-
	                     Sample                       */
	DOUBLE * alpha,   /* das fuer den geprunten Baum 
	                     charakteristische alpha      */
	WORD * size,      /* die Anzahl der Endknoten im
	                     geprunten Baum               */
	WORD * n,         /* die Anzahl der geprunten 
	                     Baeume insgesamt             */
	WORD * inode      /* Array mit den Indizes der 
	                     beschnittenen Knoten         */
);

#endif /* __NEWPRUNE__ */
