.BG
.FN predict.survtree
.TL
Predictions from a Fitted `survtree' Object
.DN
Returns either a vector, (leaf-node numbers for each case) or a
`survtree' (with new log-rank-values).
.CS
predict.survtree(object, newdata=list(), zensor.newdata,
                 type=c("vector", "tree"))
.RA
.AG object
fitted model object of class `survtree'.
.OA
.AG newdata
Data frame.
The predictors referred to in the right side
of `formula(object)' must be present by name in `newdata'.
If missing, fitted values are returned.
.AG zensor.newdata
vector of status values.  The values have to be `0' or `1', in which
case `0' means censored and `1' means uncensored (dead).
.AG type
character string denoting whether 
a vector (default) or a `survtree' object is returned.
.RT
if `type="vector"':
.br
vector of leaf-node-numbers for each row in newdata.
This new object is obtained by dropping `newdata' down `object'. 
.PP
if `type="tree"'
.br
an object of class `"survtree"' is returned with new values
for `frame' and `where'. 
.DT
The response as well as the predictors referred to in the right side
of the formula in `survtree' must be present by name in `newdata'.
These data are dropped down the survtree `object' 
and a new survtree is calculated.
.SA
`survtree', `survtree.object', `snip.survtree', `path.tree',
`prune.survtree', `graph.survtree'.
.EX
# for examples see also 'help(prune.survtree)'

# for a new data ses get the node numbers for each case 
# dropped down a survival tree
LM.2.node.numbers <- predict(LM.1.tree, newdata=LM.2, zensor=LM.2$z)
.KW survtree
.WR
