.BG
.FN survtree.second
.FN labels.survtree.second
.FN text.survtree.second
.TL
Apply survtree to a survtree object
.DN
Functions for applying the function survtree a second time
and for handling the result of this second application;
execute function survtree on a `"survtree"' object.
.CS
survtree.second(object, time, zensor)
labels.survtree.second(object.second, pretty = T, 
                       collapse = T)
text.survtree.second(object.second, splits = T, 
                     label = "leaf.numbers", FUN = text,
                     all = T, pretty = NULL,
                      digits = .Options$digits - 3, ...)
.RA
.AG object
fitted model object of class `c("survtree", "tree")'.
This is assumed to be the result of function `survtree'.
.AG object.second
fitted model object of class `c("survtree.second", "survtree", "tree")'
This is assumed to be the result of function `survtree.second'.
.AG time
vector of time values; all values must be greater than or equal to zero.
.AG zensor
vector of status values.
The values are `0' or `1', in which case `0' means censored and
`1' means uncensored (dead).
.OA
 
All optional arguments for `labels.survtree.second' and
`text.survtree.second' correspond to those explained in the help-pages
of `labels.tree' and `text.tree' apart from the following:
.AG label
the default-value `"leaf.numbers"' labels the current plot with the result
of function `labels.survtree.second'.
All other chosen values must one of the list: `names(object$frame)'.
.PP
Graphical parameters may also be supplied as arguments  to
function `text.survtree.second' (try `adj', `cex', `srt').
.RT
.AG survtree.second
object of class `c("survtree.second", "survtree", "tree")'.
The class of this object is the only difference to those objects
returned by `survtree'.
.AG labels.survtree.second
a list of strings, one for each each node of `object.second'.
Every string consists of numbers of nodes, seperated by ",". See DETAILS!
.DT
.AG survtree.second
The argument `"object"' for `survtree.second' 
must have been produced by the function `survtree', and 
`time' and `zensor' must have been arguments to `survtree'.
Each case of the original data is located 
in one of the root nodes of `"object"', this
property is stored in `"object$where"'.
`survtree.second' executes survtree with the formula
`time ~ as.factor(row.names(object$frame)[object$where])'
The result is a new survtree-object, the splitting was based only on
the "set of leaf-node numbers" (I call it SET)  of "object".
.AG labels.survtree.second
The function `labels.survtree.second' returns 
strings consisting of elements of SET, according to the splitting process.
.SA
`survtree'.
.EX
# create a 'survtree.second' object on the survtree 'LM.tree.5.1' (see 'help(prune.survtree)')
LM.tree.5.1.second <- survtree.second(LM.tree.5.1, LM$t, LM$z)

# plot this object and add text to the plot
plot(LM.tree.5.1.second)
text(LM.tree.5.1.second, srt = 45)
.KW survtree
.WR
